Subject: Re: [Iasa20] Revisiting Removal of a Director

From: "Livingood, Jason" <[email-masked]>
Date: Mon, 21 May 2018 18:09:34 +0000

+1 to everything John said, from my personal perspective (and he said it much better than I just attempted to do so in a separate email!)

On 5/21/18, 1:30 PM, "iasa20 on behalf of John Levine" <[email-masked] on behalf of [email-masked]> wrote:

    In article <[email-masked]> you write:
    >> I think that rfc7437 process is sufficient and *actually* better then the
    >> board being able to self-eject as it provides a stronger type of checks
    >> and balances on board behavior and is better aligned with the rest of
    >> the IETF.
    
    >Other people know/remember the details better than I do, but what I'm
    >remembering was that the community was really slow to even start the recall
    >process, and that was when an IAOC member went missing.
    
    I recall that it took months to fill the slot because the process was
    so complex and required petitions on which people formally denounced
    the missing person, despite 100% agreement on what to do.
    
    Going forward we are more likely to have a repeat of this situation,
    someone disappears, than a big fight about someone's qualifications
    and competence.  Anyway, if a supermajority of the board is ready to
    vote someone out, the person needs to go because regardless of the
    merits, that person can't be a productive board member.
    
    If we find that a board is gratuitously ejecting people, it's got
    problems that RFC 7437 can't solve.
    
    R's,
    John
    
    _______________________________________________
    iasa20 mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/iasa20